# Freva Metadata Ingestion

This project will ingest metadata retrieved from the filesystem per DRS specifications and store them in a Solr instance
for use by Freva

# Configuration

This expects 2 config files in the project directory for this project as defined by the [directories
create](https://docs.rs/directories/latest/directories/). A table for each OS is
[here](https://docs.rs/directories/latest/directories/), for Linux users it will be `$HOME/.config/freva`. Within the
directory it will look for `drs_conf.toml` and `evaluation_system.conf`. Examples of the config files are available in
`./.docker`.

This can also be overridden with a `EVALUATION_SYSTEM_CONFIG_FILE` envvar (note that the value should be a directory
name, not a file name).

# Installation

Downloads are available on the [Releases page](https://gitlab.dkrz.de/freva/freva-ingest/-/releases). Download the
appropriate binary from the latest release for your OS and architecture (currently only x86_64 Linux is built
automatically), unzip the download, and place the binary in your `PATH`.
